<?php

require_once('/usr/local/www/berogui/includes/Helper/Helper.php');

/* [FUNCTIONS - INTERN] */
function selectOptions(Array &$full_options, Array $to_select) {
	$full_options = array_intersect_key($full_options, array_flip($to_select));
}

/* [FUNCTIONS - EXPORT] */
function updateParametersValues($parameters) {
	$sbcconf = parse_ini_file('/etc/beroNet/sbc.conf');
	// GENERAL
	selectOptions($parameters['lanMode']['options']['select'], array('lan-wan'));
	// LAN PARAMETERS
	unset($parameters['lanDhcp']['options']['select']['1']);
	unset($parameters['lanIpaddr']['validator-java'], $parameters['lanNetmask']['validator-java'], $parameters['lanGateway']['validator-java']);
	$parameters['lanIpaddr']['disabled'] = $parameters['lanNetmask']['disabled'] = $parameters['lanGateway']['disabled'] = true;
	$parameters['lanIpaddr']['default'] = Helper::getNetworkIpAddr('tun0');
	$parameters['lanNetmask']['default'] = Helper::getNetworkMask('tun0');
	// WAN PARAMETERS
	unset($parameters['wanDhcp']['options']['select']['1'], $parameters['wanIpaddr']['validator-java'], $parameters['wanNetmask']['validator-java'], $parameters['wanGateway']['validator-java']);
	$parameters['wanIpaddr']['disabled'] = $parameters['wanNetmask']['disabled'] = $parameters['wanGateway']['disabled'] = true;
	$parameters['wanIpaddr']['default'] = $sbcconf['SBCVM_IP'];
	$parameters['wanNetmask']['default'] = '255.255.255.255';
	// NAMESERVER, GATEWAY
	selectOptions($parameters['gatewayMode']['options']['select'], array('manual'));
	selectOptions($parameters['nameserverMode']['options']['select'], array('manual'));
	return $parameters;
}

/* [MAIN] */
$functions = array(
	'update' => 'updateParametersValues',
);

return $functions;
?>
